## alembic 1.7.12-0thomas~bionic2+9.0trisquel1

=== CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2009-2016,
##  Sony Pictures Imageworks Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Industrial Light & Magic nor the names of
## its contributors may be used to endorse or promote products derived
## from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

PROJECT(Alembic)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)

MESSAGE(STATUS "CMAKE SYSTEM NAME: ${CMAKE_SYSTEM_NAME}")

IF (RUN_FROM_MK)
    SET(CMAKE_FIRST_RUN CACHE STRING "CMake initialised from mk script")
    MARK_AS_ADVANCED (CMAKE_FIRST_RUN)
ENDIF()

IF (NOT DEFINED QUIET)
    SET(CMAKE_VERBOSE_MAKEFILE TRUE)
ENDIF()

# Declare the project version
SET(PROJECT_VERSION_MAJOR "1")
SET(PROJECT_VERSION_MINOR "7")
SET(PROJECT_VERSION_PATCH "12")
SET(PROJECT_VERSION
     ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
SET(VERSION ${PROJECT_VERSION})

#-******************************************************************************
# OPTIONS (set with -D<option>=<value>)
#-******************************************************************************

OPTION(USE_ARNOLD "Include Arnold stuff" OFF)
OPTION(USE_BINARIES "Include binaries" ON)
OPTION(USE_EXAMPLES "Include examples" OFF)
OPTION(USE_HDF5 "Include HDF5 stuff" OFF)
OPTION(USE_MAYA "Include Maya stuff" OFF)
OPTION(USE_PRMAN "Include PRMan stuff" OFF)
OPTION(USE_PYALEMBIC "Include PyAlembic stuff" OFF)
OPTION(USE_STATIC_BOOST "Build with static Boost libs" OFF)
OPTION(USE_STATIC_HDF5 "Build with static HDF5 libs" OFF)
OPTION(USE_TESTS "Include Alembic tests" ON)
OPTION(ALEMBIC_BUILD_LIBS "Build library, if off use external alembic libs" ON)
OPTION(ALEMBIC_ILMBASE_LINK_STATIC "IlmBase is a static library" OFF)
OPTION(ALEMBIC_SHARED_LIBS "Build shared libraries" ON)
OPTION(ALEMBIC_LIB_USES_BOOST
    "Main Alembic library uses boost for things like shared_ptr" OFF)
OPTION(ALEMBIC_LIB_USES_TR1
    "Main Alembic library uses std::tr1 for things like shared_ptr" OFF)

# Set static/dynamic build options
SET(LIB_TYPE STATIC)
SET(RUNTIME_INSTALL_DIR lib)
SET(LIBRARY_INSTALL_DIR lib)
SET(ARCHIVE_INSTALL_DIR lib)
IF (ALEMBIC_SHARED_LIBS)
    SET(LIB_TYPE SHARED)
    SET(ARCHIVE_INSTALL_DIR lib)
    IF (WIN32)
        ADD_DEFINITIONS(-DALEMBIC_DLL)
    ENDIF()
ENDIF(ALEMBIC_SHARED_LIBS)

# Need to test this on multiple platforms, it is an easy way to enable
# memory checks like valgrind by doing:
# ctest -D ExperimentalMemCheck
# include (CTest)

# Cmake system specific flags
SET(WINDOWS FALSE)
IF ("${CMAKE_SYSTEM_NAME}" MATCHES "Windows")
    SET(WINDOWS TRUE)
ENDIF()

SET(DARWIN FALSE)
IF ("${CMAKE_SYSTEM_NAME}" MATCHES "Darwin")
    SET(DARWIN TRUE)
    # suppress rpath warning
    IF (POLICY CMP0042)
        CMAKE_POLICY(SET CMP0042 OLD)
    ENDIF()
ENDIF()

SET(LINUX FALSE)
IF ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
    SET(LINUX TRUE)
ENDIF()

IF (NOT ${ALEMBIC_LIB_USES_TR1} AND NOT ${ALEMBIC_LIB_USES_BOOST})
    # TODO figure out how to do this for Windows
    INCLUDE(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
    IF (COMPILER_SUPPORTS_CXX11)
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    ELSEIF (COMPILER_SUPPORTS_CXX0X)
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    ENDIF()
ENDIF()

# Set visibility for GNU compilers
IF (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
ENDIF()

# Set some debug vs opt flags
IF ("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
    ADD_DEFINITIONS(-DDEBUG=1 -UNDEBUG)
    IF (NOT WINDOWS)
        ADD_DEFINITIONS(-Wall -Werror -Wextra -Wno-unused-parameter)
    ENDIF()
ELSEIF ("${CMAKE_BUILD_TYPE}" MATCHES "Release")
    ADD_DEFINITIONS(-DNDEBUG=1 -UDEBUG)
    IF (NOT WINDOWS)
        ADD_DEFINITIONS(-O3)
    ENDIF()
ENDIF()

IF (NOT ${WINDOWS})
    SET(EXTERNAL_MATH_LIBS "-lm")
ELSE()
    SET(EXTERNAL_MATH_LIBS "")
ENDIF()

IF (${WINDOWS})
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc")
    IF (MSVC)
        IF ((CMAKE_CXX_COMPILER_VERSION VERSION_LESS 16) AND
            (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 15))
            # MSVC15/MSVS2009 fix
            SET (CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} /bigobj" )
        ENDIF ()
    ENDIF ()
    ADD_DEFINITIONS(-DPLATFORM_WINDOWS -DPLATFORM=WINDOWS)
    IF (NOT ALEMBIC_ILMBASE_LINK_STATIC)
        ADD_DEFINITIONS(-DOPENEXR_DLL)
    ENDIF()
ELSEIF (${DARWIN})
    #ADD_DEFINITIONS(-DPLATFORM_DARWIN -DPLATFORM=DARWIN "-arch x86_64")
    ADD_DEFINITIONS(-DPLATFORM_DARWIN -DPLATFORM=DARWIN)
ELSE()
    ADD_DEFINITIONS(-DPLATFORM_LINUX -DPLATFORM=LINUX)
ENDIF()

#-******************************************************************************
# INSTALLATION
#-******************************************************************************

IF (DEFINED ENV{ALEMBIC_INSTALL_PREFIX})
    SET( CMAKE_INSTALL_PREFIX
        $ENV{ALEMBIC_INSTALL_PREFIX}/alembic-${VERSION})
ENDIF()

# Tell me what my install location would be
MESSAGE(STATUS "The install dir is ${CMAKE_INSTALL_PREFIX}")

# check in the source directory
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake/Modules)

#-******************************************************************************
# TESTS
#-******************************************************************************

# Globally enable testing
ENABLE_TESTING()
IF (BUILD_TESTING)
    SET(BUILDNAME "${BUILDNAME}" CACHE STRING "Name of build on the dashboard")
    MARK_AS_ADVANCED(BUILDNAME)
ENDIF(BUILD_TESTING)

IF (UNIX AND NOT WINDOWS)
    FIND_PROGRAM(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
    IF (CMAKE_UNAME)
        EXEC_PROGRAM(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
        SET(CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} CACHE INTERNAL
"processor type (i386 and x86_64)")
        IF(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
            ADD_DEFINITIONS(-fPIC)
        ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
    ENDIF(CMAKE_UNAME)
ENDIF(UNIX AND NOT WINDOWS)

IF (DARWIN)
    ADD_DEFINITIONS(-fPIC)
ENDIF()

#-******************************************************************************
# DEPENDENCIES
#-******************************************************************************

FIND_PACKAGE(Threads REQUIRED)

# We only need boost if including PyAlembic, or using it in the lib
IF (ALEMBIC_LIB_USES_BOOST OR USE_PYALEMBIC)
    INCLUDE("./cmake/AlembicBoost.cmake")
    INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
ENDIF()

# IlmBase
INCLUDE("./cmake/AlembicIlmBase.cmake")
INCLUDE_DIRECTORIES(${ALEMBIC_ILMBASE_INCLUDE_DIRECTORY})

# HDF5
IF (USE_HDF5)
    FIND_PACKAGE(ZLIB REQUIRED)
    SET(ALEMBIC_WITH_HDF5 "1")
    INCLUDE("./cmake/AlembicHDF5.cmake")
    INCLUDE_DIRECTORIES(${HDF5_INCLUDE_DIRS})
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DH5_USE_18_API")
ENDIF()

#-******************************************************************************
# BUILD LIBRARIES
#-******************************************************************************

# Alembic
IF (ALEMBIC_BUILD_LIBS)
    ADD_SUBDIRECTORY(lib)
    INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/lib" "${PROJECT_BINARY_DIR}/lib")
    ADD_LIBRARY( Alembic::Alembic ALIAS Alembic )
ELSE()
    FIND_PACKAGE(Alembic REQUIRED CONFIG HINTS ${ALEMBIC_ROOT})
    MESSAGE(STATUS "Using external Alembic")
ENDIF()

# PyAlembic
IF (USE_PYALEMBIC)
    INCLUDE("./cmake/AlembicPython.cmake")
    INCLUDE("./cmake/AlembicPyIlmBase.cmake")
    IF (PYTHONLIBS_FOUND)
        MESSAGE(STATUS "ALEMBIC_PYTHON_INCLUDE_DIRS: ${ALEMBIC_PYTHON_INCLUDE_DIRS}")
        MESSAGE(STATUS "ALEMBIC_PYTHON_LIBRARY: ${ALEMBIC_PYTHON_LIBRARY}")
        INCLUDE_DIRECTORIES(${ALEMBIC_PYTHON_INCLUDE_DIRS} ${ALEMBIC_PYILMBASE_INCLUDE_DIRECTORY})
        ADD_SUBDIRECTORY(python)
    ELSE()
        MESSAGE(WARNING "Python not found! Skipping PyAlembic")
    ENDIF()
ENDIF()

#-******************************************************************************
# BUILD BINARIES
#-******************************************************************************

# PRMan
IF (USE_PRMAN)
    INCLUDE("./cmake/AlembicPRMan.cmake")
    IF (${ALEMBIC_PRMAN_FOUND})
        MESSAGE(STATUS "Building PRMan plugins")
        ADD_SUBDIRECTORY(prman)
    ELSE()
        MESSAGE(STATUS "PRMan not found")
    ENDIF()
ENDIF()

# Arnold
IF (USE_ARNOLD)
    INCLUDE("./cmake/AlembicArnold.cmake")
    IF (${ALEMBIC_ARNOLD_FOUND})
        MESSAGE(STATUS "Building Arnold plugins")
        ADD_SUBDIRECTORY( arnold )
    ELSE()
        MESSAGE(STATUS "Arnold not found")
    ENDIF()
ENDIF()

# Maya
IF (USE_MAYA)
    INCLUDE("./cmake/AlembicMaya.cmake")
    IF (MAYA_FOUND)
        MESSAGE(STATUS "Building Maya plugins")
        ADD_SUBDIRECTORY(maya)
    ELSE()
        MESSAGE(STATUS "Maya not found")
    ENDIF()
ENDIF()

# Binaries (abcls, abctree, etc)
IF (USE_BINARIES)
    ADD_SUBDIRECTORY(bin)
ENDIF()

# Examples
IF (USE_EXAMPLES)
    ADD_SUBDIRECTORY(examples)
ENDIF()

#-******************************************************************************

SET(_config_msg "\n   * Alembic Configuration          ===")
MACRO(info_cfg_option
    _setting)
    SET(_msg "   * ${_setting}")
    STRING(LENGTH "${_msg}" _len)
    WHILE("36" GREATER "${_len}")
        SET(_msg "${_msg} ")
        MATH(EXPR _len "${_len} + 1")
    ENDWHILE()
    SET(_config_msg "${_config_msg}\n${_msg}${${_setting}}")
ENDMACRO()

info_cfg_option(USE_ARNOLD)
info_cfg_option(USE_BINARIES)
info_cfg_option(USE_EXAMPLES)
info_cfg_option(USE_HDF5)
info_cfg_option(USE_MAYA)
info_cfg_option(USE_PRMAN)
info_cfg_option(USE_PYALEMBIC)
info_cfg_option(USE_STATIC_BOOST)
info_cfg_option(USE_STATIC_HDF5)
info_cfg_option(USE_TESTS)
info_cfg_option(ALEMBIC_ILMBASE_LINK_STATIC)
info_cfg_option(ALEMBIC_SHARED_LIBS)
info_cfg_option(ALEMBIC_LIB_USES_BOOST)
info_cfg_option(ALEMBIC_LIB_USES_TR1)
MESSAGE("${_config_msg}")

=== examples/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2009-2016,
##  Sony Pictures Imageworks Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Industrial Light & Magic nor the names of
## its contributors may be used to endorse or promote products derived
## from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

# Recurse into libs
INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/lib")

# No boost dependency was needed so dont include AbcClients
IF (ALEMBIC_LIB_USES_BOOST OR USE_PYALEMBIC)
    ADD_SUBDIRECTORY(AbcClients)
ENDIF()

=== examples/AbcClients/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2009-2015,
##  Sony Pictures Imageworks, Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Sony Pictures Imageworks, nor
## Industrial Light & Magic nor the names of their contributors may be used
## to endorse or promote products derived from this software without specific
## prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/examples")

ADD_SUBDIRECTORY(WFObjConvert)

=== lib/Alembic/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2009-2015,
##  Sony Pictures Imageworks Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Sony Pictures Imageworks, nor
## Industrial Light & Magic, nor the names of their contributors may be used
## to endorse or promote products derived from this software without specific
## prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

ADD_SUBDIRECTORY(Util)
ADD_SUBDIRECTORY(AbcCoreAbstract)
ADD_SUBDIRECTORY(AbcCoreOgawa)
IF (USE_HDF5)
    ADD_SUBDIRECTORY(AbcCoreHDF5)
ENDIF()
ADD_SUBDIRECTORY(Abc)
ADD_SUBDIRECTORY(AbcCoreFactory)
ADD_SUBDIRECTORY(AbcCoreLayer)
ADD_SUBDIRECTORY(AbcGeom)
ADD_SUBDIRECTORY(AbcCollection)
ADD_SUBDIRECTORY(AbcMaterial)
ADD_SUBDIRECTORY(Ogawa)

ADD_LIBRARY(Alembic ${LIB_TYPE} ${CXX_FILES})

TARGET_INCLUDE_DIRECTORIES(Alembic
    PUBLIC
    $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/lib>
    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/lib>
    $<INSTALL_INTERFACE:$<INSTALL_PREFIX>/include>
    ${ALEMBIC_ILMBASE_INCLUDE_DIRECTORY}
    ${Boost_INCLUDE_DIRS}
    PRIVATE
    ${HDF5_INCLUDE_DIRS}
    )

IF (ALEMBIC_SHARED_LIBS)
  SET_TARGET_PROPERTIES(Alembic PROPERTIES DEFINE_SYMBOL ALEMBIC_EXPORTS
    SOVERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    VERSION ${PROJECT_VERSION})
ENDIF()


TARGET_LINK_LIBRARIES(Alembic
    LINK_PUBLIC
    ${ALEMBIC_ILMBASE_LIBS}
    ${CMAKE_THREAD_LIBS_INIT}
    ${EXTERNAL_MATH_LIBS}
    LINK_PRIVATE
    ${HDF5_LIBRARIES}
    ${ZLIB_LIBRARY}
  )

# link in atomic if we are using tr1 and the compiler is new enough
# to want  __atomic_compare_exchange_n
IF ( ${ALEMBIC_LIB_USES_TR1} AND CMAKE_COMPILER_IS_GNUCXX AND
    CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.8 )
    TARGET_LINK_LIBRARIES( Alembic atomic )
ENDIF()

SET( ALEMBIC_LIB_INSTALL_DIR lib CACHE PATH "Where to install the Alembic libs")
INSTALL(TARGETS Alembic
        EXPORT AlembicTargets
        LIBRARY DESTINATION ${ALEMBIC_LIB_INSTALL_DIR}
        ARCHIVE DESTINATION ${ALEMBIC_LIB_INSTALL_DIR}
        RUNTIME DESTINATION ${ALEMBIC_LIB_INSTALL_DIR})

#-******************************************************************************
# PACKAGE EXPORTS
#-******************************************************************************

CONFIGURE_FILE(AlembicConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/AlembicConfig.cmake"
    @ONLY
    )

INCLUDE(CMakePackageConfigHelpers)
WRITE_BASIC_PACKAGE_VERSION_FILE(
    "${CMAKE_CURRENT_BINARY_DIR}/AlembicConfigVersion.cmake"
    VERSION
    ${PROJECT_VERSION}
    COMPATIBILITY
    AnyNewerVersion
    )

EXPORT(TARGETS
    Alembic
    FILE
    "${CMAKE_CURRENT_BINARY_DIR}/AlembicTargets.cmake"
    NAMESPACE
    Alembic::
    )

SET(ConfigPackageLocation lib/cmake/Alembic CACHE PATH
    "Where to install the Alembic's cmake files")

INSTALL(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/AlembicConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/AlembicConfigVersion.cmake"
    DESTINATION
    ${ConfigPackageLocation}
    )

INSTALL(EXPORT
    AlembicTargets
    FILE
    AlembicTargets.cmake
    NAMESPACE
    Alembic::
    DESTINATION
    ${ConfigPackageLocation}
    )

=== python/PyAlembic/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2009-2016,
##  Sony Pictures Imageworks Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Industrial Light & Magic nor the names of
## its contributors may be used to endorse or promote products derived
## from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

MESSAGE(STATUS "Boost_PYTHON_LIBRARY: ${Boost_PYTHON_LIBRARY}")

# set core libs
IF (Boost_PYTHON_LIBRARY AND ALEMBIC_PYTHON_LIBRARY)
    MESSAGE(STATUS "Found libboost_python: ${Boost_PYTHON_LIBRARY}")
    SET(PLIBS ${ALEMBIC_PYTHON_LIBRARY} ${Boost_PYTHON_LIBRARY})

    # lots of warnings coming from unused local typedefs inside boost python
    IF (NOT WINDOWS)
        ADD_DEFINITIONS(-Wno-unused-local-typedefs)
    ENDIF()

    SET(CPP_FILES
        PyAbcCoreLayer.cpp
        PyAbcGeomTypes.cpp
        PyAbcTypes.cpp
        PyArchiveBounds.cpp
        PyArchiveInfo.cpp
        PyCameraSample.cpp
        PyCoreAbstractTypes.cpp
        PyFilmBackXformOp.cpp
        PyIArchive.cpp
        PyIArrayProperty.cpp
        PyICamera.cpp
        PyICollections.cpp
        PyICompoundProperty.cpp
        PyICurves.cpp
        PyIFaceSet.cpp
        PyIGeomBase.cpp
        PyIGeomParam.cpp
        PyIGeomParamPOD.cpp
        PyIGeomParamVertexPoint.cpp
        PyIGeomParamBox.cpp
        PyIGeomParamMatrixQuadColorNormal.cpp
        PyILight.cpp
        PyIMaterial.cpp
        PyINuPatch.cpp
        PyIObject.cpp
        PyIPoints.cpp
        PyIPolyMesh.cpp
        PyISampleSelector.cpp
        PyIScalarProperty.cpp
        PyISubD.cpp
        PyITypedArrayProperty.cpp
        PyITypedScalarProperty.cpp
        PyIXform.cpp
        PyMaterialFlatten.cpp
        PyMaterialAssignment.cpp
        PyOArchive.cpp
        PyOArrayProperty.cpp
        PyOCamera.cpp
        PyOCollections.cpp
        PyOCompoundProperty.cpp
        PyOCurves.cpp
        PyOFaceSet.cpp
        PyOGeomParam.cpp
        PyOGeomParamPOD.cpp
        PyOGeomParamVertexPoint.cpp
        PyOGeomParamBox.cpp
        PyOGeomParamMatrixQuadColorNormal.cpp
        PyOLight.cpp
        PyOMaterial.cpp
        PyONuPatch.cpp
        PyOObject.cpp
        PyOPoints.cpp
        PyOPolyMesh.cpp
        PyOScalarProperty.cpp
        PyOSubD.cpp
        PyOTypedArrayProperty.cpp
        PyOTypedScalarProperty.cpp
        PyOXform.cpp
        PyTypedArraySampleConverter.cpp
        PyTypedPropertyTraits.cpp
        PyUtilTypes.cpp
        PyVisibility.cpp
        PyXformOp.cpp
        PyXformSample.cpp
        main.cpp
    )

    IF (1900 VERSION_EQUAL MSVC_VERSION)
        IF ((19.00.24213.1 VERSION_LESS_EQUAL CMAKE_CXX_COMPILER_VERSION) AND
            (19.00.24234.1 VERSION_GREATER_EQUAL CMAKE_CXX_COMPILER_VERSION))
            list(APPEND CPP_FILES "msvc14fixes.cpp")
        ENDIF ()
    ENDIF ()

    LINK_LIBRARIES(Alembic::Alembic
                   ${PLIBS}
                   ${ALEMBIC_PYILMBASE_PYIMATH_LIB}
    )

    INCLUDE_DIRECTORIES("${PYTHON_INCLUDE_DIR}" "${CMAKE_SOURCE_DIR}/lib"
          "${CMAKE_SOURCE_DIR}/python/PyAlembic")

    ADD_LIBRARY(PyAlembic SHARED ${CPP_FILES})

    SET (EXT ".so")
	SET (PYTHON_MODULE_NAME "alembic")
    IF (WIN32)
        SET (EXT ".pyd")
    ENDIF ()

    SET_TARGET_PROPERTIES(PyAlembic
        PROPERTIES PREFIX "" OUTPUT_NAME ${PYTHON_MODULE_NAME} SUFFIX ${EXT}
    )

    SET( ALEMBIC_PYTHON_INSTALL_DIR
        lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages
        CACHE PATH
        "Alembic's python bindings install directory"
    )

    INSTALL (TARGETS PyAlembic
        DESTINATION ${ALEMBIC_PYTHON_INSTALL_DIR}
    )

    IF (USE_TESTS)
        ADD_SUBDIRECTORY(Tests)
    ENDIF()

    set_target_properties(PyAlembic PROPERTIES
        INSTALL_RPATH_USE_LINK_PATH TRUE
        INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib)
ELSE()
    MESSAGE(FATAL_ERROR "Unable to find Python libs")
ENDIF()

=== examples/AbcClients/WFObjConvert/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2009-2015,
##  Sony Pictures Imageworks, Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Sony Pictures Imageworks, nor
## Industrial Light & Magic nor the names of their contributors may be used
## to endorse or promote products derived from this software without specific
## prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

SET(CXX_FILES 
    AbcReader.cpp
    ParseReader.cpp
    Parser.cpp
    Reader.cpp)

SET(PUBLIC_H_FILES 
    AbcReader.h
    All.h
    Export.h
    Foundation.h
    Parser.h
    Reader.h)

SET(PRIVATE_H_FILES
    ParseReader.h)

SET(H_FILES ${PUBLIC_H_FILES} ${PRIVATE_H_FILES})

SET(SOURCE_FILES ${CXX_FILES} ${H_FILES})

ADD_LIBRARY(AbcWFObjConvert ${LIB_TYPE} ${SOURCE_FILES})
TARGET_LINK_LIBRARIES(AbcWFObjConvert Alembic::Alembic)

IF(ALEMBIC_SHARED_LIBS)
  SET_TARGET_PROPERTIES(AbcWFObjConvert 
                        PROPERTIES DEFINE_SYMBOL
                        ABC_WFOBJ_CONVERT_EXPORTS)
ENDIF()

INSTALL(TARGETS AbcWFObjConvert
        LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
        RUNTIME DESTINATION ${RUNTIME_INSTALL_DIR}
        ARCHIVE DESTINATION ${ARCHIVE_INSTALL_DIR})

INSTALL(FILES ${PUBLIC_H_FILES}
        DESTINATION include/AbcClients/WFObjConvert
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

IF (USE_TESTS AND USE_HDF5)
    ADD_SUBDIRECTORY(Tests)
ELSE()
    MESSAGE(STATUS 
        "Skipping WFObjConvert tests: requires USE_TESTS and USE_HDF5")
ENDIF()

=== python/PyAlembic/Tests/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2009-2015,
##  Sony Pictures Imageworks Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Industrial Light & Magic nor the names of
## its contributors may be used to endorse or promote products derived
## from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

SET(TEST_LIBS
    Alembic::Alembic
    ${HDF5_LIBRARIES}
    ${ALEMBIC_ILMBASE_LIBS}
    ${ALEMBIC_PYILMBASE_LIBS}
    ${CMAKE_THREAD_LIBS_INIT}
    ${Boost_THREAD_LIBRARY}
    ${ZLIB_LIBRARIES}
    ${EXTERNAL_MATH_LIBS}
)

INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/python/PyAlembic/Tests")

ADD_EXECUTABLE(PyAlembic_Test
               testAlembicImport.cpp
               main.cpp
)

ADD_DEPENDENCIES(PyAlembic_Test alembic)

TARGET_LINK_LIBRARIES(PyAlembic_Test Alembic::Alembic ${ALEMBIC_PYILMBASE_LIBS})

ADD_TEST(PyAlembic_Python_TEST PyAlembic_Test)

GET_FILENAME_COMPONENT(BOOST_LIBRARY_DIR ${Boost_PYTHON_LIBRARY} PATH)
GET_FILENAME_COMPONENT(ILMBASE_LIBRARY_DIR ${ALEMBIC_ILMBASE_IMATH_LIB} PATH)

CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/run_tests.in"
    "${CMAKE_CURRENT_BINARY_DIR}/run_tests"
    @ONLY
)

=== lib/Alembic/Abc/Tests/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2009-2015,
##  Sony Pictures Imageworks Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Industrial Light & Magic nor the names of
## its contributors may be used to endorse or promote products derived
## from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/lib ${PROJECT_BINARY_DIR}/lib)

ADD_EXECUTABLE(Abc_Test1 test1.cpp)
TARGET_LINK_LIBRARIES(Abc_Test1 Alembic)

ADD_EXECUTABLE(Abc_ObjectsAndProperties_Test2 ObjectsAndPropertiesTest.cpp)
TARGET_LINK_LIBRARIES(Abc_ObjectsAndProperties_Test2 Alembic)

ADD_TEST(Abc_TEST1 Abc_Test1)
ADD_TEST(Abc_Objects_and_Properties_TEST2 Abc_ObjectsAndProperties_Test2)

ADD_EXECUTABLE(Abc_CompileTests CompileTest.cpp)
TARGET_LINK_LIBRARIES(Abc_CompileTests Alembic)
ADD_TEST(Abc_Compile_TEST Abc_CompileTests)

ADD_EXECUTABLE(Abc_ObjectTests ObjectTests.cpp)
TARGET_LINK_LIBRARIES(Abc_ObjectTests Alembic)
ADD_TEST(Abc_Object_TEST Abc_ObjectTests)

ADD_EXECUTABLE(Abc_PropertyTests PropertyTests.cpp)
TARGET_LINK_LIBRARIES(Abc_PropertyTests Alembic)
ADD_TEST(Abc_Property_TEST Abc_PropertyTests)

ADD_EXECUTABLE(Abc_UniformPropertyTest UniformPropertyTest.cpp)
TARGET_LINK_LIBRARIES(Abc_UniformPropertyTest Alembic)
ADD_TEST(Abc_Uniform_Property_TEST Abc_UniformPropertyTest)

ADD_EXECUTABLE(Abc_IdentityPropertyTest IdentityPropertyTest.cpp)
TARGET_LINK_LIBRARIES(Abc_IdentityPropertyTest Alembic)
ADD_TEST(Abc_Identity_Property_TEST Abc_IdentityPropertyTest)

ADD_EXECUTABLE(Abc_ArrayPropertyTest ArrayPropertyTest.cpp)
TARGET_LINK_LIBRARIES(Abc_ArrayPropertyTest Alembic)
ADD_TEST(Abc_Array_Property_TEST Abc_ArrayPropertyTest)

ADD_EXECUTABLE(Abc_InstanceTest InstanceTest.cpp)
TARGET_LINK_LIBRARIES(Abc_InstanceTest Alembic)
ADD_TEST(Abc_Instance_TEST Abc_InstanceTest)

ADD_EXECUTABLE(Abc_ArchiveTest ArchiveTest.cpp)
TARGET_LINK_LIBRARIES(Abc_ArchiveTest Alembic)
ADD_TEST(Abc_Archive_TEST Abc_ArchiveTest)

ADD_EXECUTABLE(Abc_CyclicPropertyTest CyclicPropertyTest.cpp)
TARGET_LINK_LIBRARIES(Abc_CyclicPropertyTest Alembic)
ADD_TEST(Abc_Cyclic_Property_TEST Abc_CyclicPropertyTest)

ADD_EXECUTABLE(Abc_ParentingTest ParentingTest.cpp)
TARGET_LINK_LIBRARIES(Abc_ParentingTest Alembic)
ADD_TEST(Abc_Parenting_TEST Abc_ParentingTest)

ADD_EXECUTABLE(Abc_OctessenceBug17 OctessenceBug17.cpp)
TARGET_LINK_LIBRARIES(Abc_OctessenceBug17 Alembic)
ADD_TEST(Abc_OctessenceBug17_TEST Abc_OctessenceBug17)

ADD_EXECUTABLE(Abc_OctessenceBug16 OctessenceBug16.cpp)
TARGET_LINK_LIBRARIES(Abc_OctessenceBug16 Alembic)
ADD_TEST(Abc_OctessenceBug16_TEST Abc_OctessenceBug16)

ADD_EXECUTABLE(Abc_CacheControlTest CacheControlTest.cpp)
TARGET_LINK_LIBRARIES(Abc_CacheControlTest Alembic)
ADD_TEST(Abc_CacheControl_TEST Abc_CacheControlTest)

ADD_EXECUTABLE(Abc_RedundantDataPathsTest RedundantDataTest.cpp)
TARGET_LINK_LIBRARIES(Abc_RedundantDataPathsTest Alembic)
ADD_TEST(Abc_RedundantDataPaths_TEST Abc_RedundantDataPathsTest)

=== lib/Alembic/AbcCollection/Tests/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2009-2015,
##  Sony Pictures Imageworks Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Industrial Light & Magic nor the names of
## its contributors may be used to endorse or promote products derived
## from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/lib ${PROJECT_BINARY_DIR}/lib)

ADD_EXECUTABLE(AbcCollection_CollectionTest
               CollectionTest.cpp
               )
TARGET_LINK_LIBRARIES(AbcCollection_CollectionTest Alembic)
ADD_TEST(AbcCollection_Collection_TEST AbcCollection_CollectionTest)

=== lib/Alembic/AbcCoreOgawa/Tests/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2013-2015,
##  Sony Pictures Imageworks Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Industrial Light & Magic nor the names of
## its contributors may be used to endorse or promote products derived
## from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/lib ${PROJECT_BINARY_DIR}/lib)

SET(CXX_FILES
    ArchiveTests.cpp
    ArrayPropertyTests.cpp
    HashesTests.cpp
    ScalarPropertyTests.cpp
    TimeSamplingTests.cpp
)

ADD_EXECUTABLE(AbcCoreOgawa_ArchiveTests ArchiveTests.cpp)
TARGET_LINK_LIBRARIES(AbcCoreOgawa_ArchiveTests Alembic)

ADD_EXECUTABLE(AbcCoreOgawa_ArrayPropertyTests ArrayPropertyTests.cpp)
TARGET_LINK_LIBRARIES(AbcCoreOgawa_ArrayPropertyTests Alembic)

ADD_EXECUTABLE(AbcCoreOgawa_HashesTests HashesTests.cpp)
TARGET_LINK_LIBRARIES(AbcCoreOgawa_HashesTests Alembic)

ADD_EXECUTABLE(AbcCoreOgawa_ScalarPropertyTests ScalarPropertyTests.cpp)
TARGET_LINK_LIBRARIES(AbcCoreOgawa_ScalarPropertyTests Alembic)

ADD_EXECUTABLE(AbcCoreOgawa_TimeSamplingTests TimeSamplingTests.cpp)
TARGET_LINK_LIBRARIES(AbcCoreOgawa_TimeSamplingTests Alembic)

ADD_EXECUTABLE(AbcCoreOgawa_ObjectTests ObjectTests.cpp)
TARGET_LINK_LIBRARIES(AbcCoreOgawa_ObjectTests Alembic)

ADD_EXECUTABLE(AbcCoreOgawa_ConstantPropsTest ConstantPropsNumSampsTest.cpp)
TARGET_LINK_LIBRARIES(AbcCoreOgawa_ConstantPropsTest Alembic)

ADD_TEST(AbcCoreOgawa_ArchiveTESTS AbcCoreOgawa_ArchiveTests)
ADD_TEST(AbcCoreOgawa_ArrayPropertyTESTS AbcCoreOgawa_ArrayPropertyTests)
ADD_TEST(AbcCoreOgawa_HashesTESTS AbcCoreOgawa_HashesTests)
ADD_TEST(AbcCoreOgawa_ScalarPropertyTESTS AbcCoreOgawa_ScalarPropertyTests)
ADD_TEST(AbcCoreOgawa_TimeSamplingTESTS AbcCoreOgawa_TimeSamplingTests)
ADD_TEST(AbcCoreOgawa_ObjectTESTS AbcCoreOgawa_ObjectTests)
ADD_TEST(AbcCoreOgawa_ConstantPropsTest_TEST AbcCoreOgawa_ConstantPropsTest)

=== lib/Alembic/AbcGeom/Tests/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2009-2015,
##  Sony Pictures Imageworks Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Industrial Light & Magic nor the names of
## its contributors may be used to endorse or promote products derived
## from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/lib ${PROJECT_BINARY_DIR}/lib)

ADD_EXECUTABLE(AbcGeom_PolyMeshTest
               MeshData.h
               MeshData.cpp
               PolyMeshTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_PolyMeshTest Alembic)
ADD_TEST(AbcGeom_PolyMesh_TEST AbcGeom_PolyMeshTest)

ADD_EXECUTABLE(AbcGeom_HelperLibTest
                HelperLibTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_HelperLibTest Alembic)
ADD_TEST(AbcGeom_HelperLib_TEST AbcGeom_HelperLibTest)

ADD_EXECUTABLE(AbcGeom_PointsTest
               PointsTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_PointsTest Alembic)
ADD_TEST(AbcGeom_Points_TEST AbcGeom_PointsTest)

ADD_EXECUTABLE(AbcGeom_NurbsTest
               NurbsData.h
               NurbsData.cpp
               NurbsTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_NurbsTest Alembic)
ADD_TEST(AbcGeom_Nurbs_TEST AbcGeom_NurbsTest)

ADD_EXECUTABLE(AbcGeom_SubDTest
               MeshData.h
               MeshData.cpp
               SubDTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_SubDTest Alembic)
ADD_TEST(AbcGeom_SubD_TEST AbcGeom_SubDTest)

ADD_EXECUTABLE(AbcGeom_SubDFaceSetTest
               MeshData.h
               MeshData.cpp
               SubDFaceSetTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_SubDFaceSetTest Alembic)
ADD_TEST(AbcGeom_SubDFaceSet_TEST AbcGeom_SubDFaceSetTest)

ADD_EXECUTABLE(AbcGeom_SchemaMatchingTest
               SchemaMatchingTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_SchemaMatchingTest Alembic)
ADD_TEST(AbcGeom_SchemaMatching_TEST AbcGeom_SchemaMatchingTest)

ADD_EXECUTABLE(AbcGeom_XformTest
               XformTests.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_XformTest  Alembic)
ADD_TEST(AbcGeom_Xform_TEST  AbcGeom_XformTest)

ADD_EXECUTABLE(AbcGeom_XformTest2
               XformTests2.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_XformTest2  Alembic)
ADD_TEST(AbcGeom_Xform2_TEST  AbcGeom_XformTest2)

ADD_EXECUTABLE(AbcGeom_CurvesTest
               CurvesData.h
               CurvesData.cpp
               CurvesTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_CurvesTest Alembic)
ADD_TEST(AbcGeom_Curves_TEST AbcGeom_CurvesTest)

ADD_EXECUTABLE(AbcGeom_GeomBaseTest
               CurvesData.h
               CurvesData.cpp
               GeomBaseTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_GeomBaseTest Alembic)
ADD_TEST(AbcGeom_GeomBase_TEST AbcGeom_GeomBaseTest)

ADD_EXECUTABLE(AbcGeom_TransformingMeshTest
               MeshData.h
               MeshData.cpp
               TransformingMeshTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_TransformingMeshTest Alembic)
ADD_TEST(AbcGeom_TransformingMesh_TEST AbcGeom_TransformingMeshTest)

ADD_EXECUTABLE(AbcGeom_CompileTest
               CompileTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_CompileTest Alembic)
ADD_TEST(AbcGeom_CompileTest_TEST AbcGeom_CompileTest)

ADD_EXECUTABLE(AbcGeom_LightTest
               LightTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_LightTest Alembic)
ADD_TEST(AbcGeom_LightTest_TEST AbcGeom_LightTest)

ADD_EXECUTABLE(AbcGeom_CameraTest
               CameraTest.cpp)
TARGET_LINK_LIBRARIES(AbcGeom_CameraTest Alembic)
ADD_TEST(AbcGeom_Camera_TEST AbcGeom_CameraTest)

ADD_EXECUTABLE(playground PlayGround.cpp)
TARGET_LINK_LIBRARIES(playground Alembic)

=== lib/Alembic/AbcMaterial/Tests/CMakeLists.txt ===
##-*****************************************************************************
##
## Copyright (c) 2013-2015,
##  Sony Pictures Imageworks Inc. and
##  Industrial Light & Magic, a division of Lucasfilm Entertainment Company Ltd.
##
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that the following conditions are
## met:
## *       Redistributions of source code must retain the above copyright
## notice, this list of conditions and the following disclaimer.
## *       Redistributions in binary form must reproduce the above
## copyright notice, this list of conditions and the following disclaimer
## in the documentation and/or other materials provided with the
## distribution.
## *       Neither the name of Industrial Light & Magic nor the names of
## its contributors may be used to endorse or promote products derived
## from this software without specific prior written permission.
##
## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
##
##-*****************************************************************************

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/lib ${PROJECT_BINARY_DIR}/lib)

ADD_EXECUTABLE(AbcMaterial_WriteMaterialTest
               WriteMaterial.cpp
               )
TARGET_LINK_LIBRARIES(AbcMaterial_WriteMaterialTest Alembic)
ADD_TEST(AbcMaterial_WriteMaterial_TEST AbcMaterial_WriteMaterialTest)

ADD_EXECUTABLE(AbcMaterial_MaterialFlattenTest
               MaterialFlattenTest.cpp PrintMaterial.cpp
               )
TARGET_LINK_LIBRARIES(AbcMaterial_MaterialFlattenTest Alembic)
ADD_TEST(AbcMaterial_MaterialFlatten_TEST AbcMaterial_MaterialFlattenTest)

ADD_EXECUTABLE(AbcMaterial_MaterialHasATest
               WriteHasAMaterial.cpp PrintMaterial.cpp
               )
TARGET_LINK_LIBRARIES(AbcMaterial_MaterialHasATest Alembic)
ADD_TEST( AbcMaterial_Material_TEST_HasA AbcMaterial_MaterialHasATest)

ADD_EXECUTABLE(AbcMaterial_MaterialAssignAndFlattenTest
               MaterialAssignAndFlattenTest.cpp PrintMaterial.cpp
               )
TARGET_LINK_LIBRARIES(AbcMaterial_MaterialAssignAndFlattenTest Alembic)
ADD_TEST(AbcMaterial_TEST_MaterialAssignAndFlatten AbcMaterial_MaterialAssignAndFlattenTest)

ADD_EXECUTABLE(AbcMaterial_NetworkNodeTest
               NetworkNodeTest.cpp PrintMaterial.cpp
               )
TARGET_LINK_LIBRARIES(AbcMaterial_NetworkNodeTest Alembic)
ADD_TEST(AbcMaterial_NetworkNodeTest AbcMaterial_NetworkNodeTest)

ADD_EXECUTABLE(AbcMaterial_WriteGeometryWithMaterials
               WriteGeometryWithMaterials.cpp
               )
TARGET_LINK_LIBRARIES(AbcMaterial_WriteGeometryWithMaterials Alembic)
ADD_TEST(AbcMaterial_WriteGeometryWithMaterials AbcMaterial_WriteGeometryWithMaterials)

=== debian/changelog ===
alembic (1.7.12-0thomas~bionic2+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 17 Jul 2020 17:09:33 +0000

alembic (1.7.12-0thomas~bionic2) bionic; urgency=medium

  * New upstream release

 -- Thomas Schiex <empnessty@gmail.com>  Sat, 22 Feb 2020 01:48:39 +0100

alembic (1.7.8-0thomas~bionic1) bionic; urgency=medium

  * New upstream release

 -- Thomas Schiex <empnessty@gmail.com>  Sat, 22 Dec 2018 01:48:39 +0100

alembic (1.7.1-0thomas~bionic0) bionic; urgency=medium

  * New upstream version

 -- Thomas Schiex <empnessty@gmail.com>  Sun, 09 Apr 2017 19:18:39 +0200

alembic (1.6.1-0thomas~bionic3) bionic; urgency=medium

  * Initial upload

 -- Thomas Schiex <empnessty@gmail.com>  Fri, 28 Oct 2016 23:20:24 +0200

=== debian/control ===
Source: alembic
Priority: extra
Maintainer: Thomas Schiex <empnessty@gmail.com>
Build-Depends: debhelper (>= 8.0.0), cmake, libopenexr-dev, libboost-thread-dev,
               libboost-program-options-dev, libboost-dev
Standards-Version: 3.9.7
Section: graphics
Homepage: https://github.com/alembic/alembic/tree/master/lib/Alembic

Package: libalembic-dev
Section: libdevel
Architecture: any
Depends:  ${misc:Depends}
Description: Import alembic files - development
 Alembic is a library for accessing Alembic files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BLDDIR = debian/cmake
TMPDIR = debian/tmp
DIST := $(shell dpkg-parsechangelog | awk '/^Distribution: / {print $$2}')

%:
	dh $@ -Scmake -B$(BLDDIR) --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DUSE_ARNOLD=OFF \
	-DUSE_BINARIES=OFF \
	-DUSE_EXAMPLES=OFF \
	-DUSE_HDF5=OFF \
	-DUSE_MAYA=OFF \
	-DUSE_PRMAN=OFF \
	-DUSE_PYALEMBIC=OFF \
	-DUSE_STATIC_HDF5=OFF \
	-DALEMBIC_ILMBASE_LINK_STATIC=OFF \
	-DALEMBIC_LIB_USES_BOOST=ON \
	-DALEMBIC_LIB_USES_TR1=OFF \
	-DUSE_TESTS=OFF \
	-DALEMBIC_SHARED_LIBS=OFF

override_dh_installdocs:
